package com.williamluke4.safe_sms.permisions

import android.annotation.TargetApi
import android.app.Activity
import android.os.Build

/**
 * Created by Joan Pablo on 4/17/2018.
 */

internal class PermissionsRequest(val id: Int, private val permissions: Array<String>, private val activity: Activity) {

    @TargetApi(Build.VERSION_CODES.M)
    fun execute() {
        this.activity.requestPermissions(this.permissions, this.id)
    }
}
